<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/id_back_speak_cleaner"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="14dp"
        android:paddingHorizontal="12dp"
        android:src="@mipmap/fanhui"
        android:tint="@color/black"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="Speaker Cleaner"
        android:textColor="#000000"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintBottom_toBottomOf="@+id/id_back_speak_cleaner"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/id_back_speak_cleaner" />

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="center_horizontal"
        android:orientation="vertical"
        app:layout_constraintBottom_toTopOf="@+id/id_clean_dust"
        app:layout_constraintTop_toBottomOf="@+id/id_back_speak_cleaner">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/speakertu" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="40dp"
            android:text="Click the button to start cleaning"
            android:textColor="#000000"
            android:textSize="15sp"
            android:textStyle="bold"
            tools:ignore="HardcodedText" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="28dp"
            android:layout_marginTop="12dp"
            android:gravity="center"
            android:text="There will be vibration and sound during speaker cleaning,which is normal!"
            android:textColor="#999999"
            android:textSize="13sp"
            tools:ignore="HardcodedText" />
    </androidx.appcompat.widget.LinearLayoutCompat>

    <com.noober.background.view.BLTextView
        android:id="@+id/id_clean_dust"
        android:layout_width="match_parent"
        android:layout_height="48dp"
        android:layout_marginHorizontal="41dp"
        android:layout_marginBottom="36dp"
        android:gravity="center"
        android:text="Clean Dust"
        android:textColor="@color/white"
        android:textSize="14sp"
        android:textStyle="bold"
        app:bl_corners_radius="24dp"
        app:bl_solid_color="@color/theme_color"
        app:layout_constraintBottom_toBottomOf="parent"
        tools:ignore="HardcodedText" />

</androidx.constraintlayout.widget.ConstraintLayout>